#/bin/sh

SDPTOOL_INSTALL_DIR=/usr/local/SDPTool
CWD=$( dirname "${BASH_SOURCE[0]}" )

print_uninstalled()
{
    echo -e "\e[34m=================================="
    echo "Package Not Installed to Uninstall"
    echo "Nothing to do ... exiting"
    echo -e "==================================\e[0m"
}

check_installed()
{
    if rpm -q --quiet SDPTool ; then 
	return 0
    fi
    if [ -d "/usr/local/SDPTool" ] ; then
	return 0
    fi
    print_uninstalled
    return 1
}

clean_logs()
{
    rm -rf /var/log/SDPTool 2>&1 > /dev/null
}

print_uninstall()
{
    echo -e "\e[32m====================================="
    echo "Uninstallation completed successfully"
    echo -e "=====================================\e[0m"
}

check_installed
ret=$?
if [ "$ret" -eq 1 ] ; then
    exit 1
fi

reply=
while [[ $reply != "Y" && $reply != "y" && $reply != "N" && $reply != "n" ]]; do
    echo ""
    echo -e -n "\e[1;31mDo you wish to Uninstall the SDPTool. Note: This script will delete SDPTool install folder(Y/N) : \e[0m"
    read reply
done

if [[ $reply = "Y" || $reply = "y" ]]; then
    if [ -f "/etc/SuSE-release" ] ; then
        zypper remove -y SDPTool 2>&1 > $CWD/uninstall.log
    elif [ -f "/etc/centos-release" ] ; then
        yum remove -y SDPTool 2>&1 > $CWD/uninstall.log
    elif [ -f "/etc/redhat-release" ] ; then
        yum remove -y SDPTool 2>&1 > $CWD/uninstall.log
    fi
    if [ -d /usr/local/SDPTool ] ; then
        rm -rf /usr/local/SDPTool 2>&1 > /dev/nulll
    fi
    clean_logs
    print_uninstall
    exit 0
elif [[ $reply = "N" || $reply = "n" ]]; then
  exit 0
fi
